Subject: Re: short log and email address

From: René Scharfe <[email-masked]>
Date: Wed, 30 Jul 2008 00:30:01 +0200

Jon Smirl schrieb:
> On 7/28/08, Johannes Schindelin <[email-masked]> wrote:
>> Hi,
>>
>>
>>  On Mon, 28 Jul 2008, Jon Smirl wrote:
>>
>>  > Using the -e option in shortlog changes the results by spitting things
>>  > out by email address instead of leaving them combined by name. That's
>>  > probably not what you want. Instead you want everything combined by name
>>  > and then display the most recent email address used.
>>
>>
>> What is so wrong with _not_ using -e (since you do not want to see the
>>  email address stored in the commit message, and -e would be asking for
>>  that _exactly_)?
> 
> I wanted -e to give me the most recent email so that I would know how
> to sort the mailmap alias list.

<snip>

> If the name isn't in mailmap, tell them to make a patch adding their
> name or to change their name.

That makes sense if you want to list all contributors in .mailmap...

> If the name is there but the email is not the last one in the list,
> tell them to make a patch rearranging mailmap to reflect their current
> name/email.

... but why would you want to check if they used their respective email
entry that is sorted last in the file?  A person might have multiple
current email addresses, e.g. someone could send patches for one
subsystem from work and patches for something else from home, as a hobby.

René